Skip to main content
GET
/
audits
/
{auditId}
/
personnel
/
account-access
/
{serviceId}
Java
package hello.world;

import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListPersonnelAccountAccessRequest;
import com.vanta.vanta_auditor_api.models.operations.ListPersonnelAccountAccessResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Vanta sdk = Vanta.builder()
                .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
            .build();

        ListPersonnelAccountAccessRequest req = ListPersonnelAccountAccessRequest.builder()
                .auditId("<id>")
                .serviceId("<id>")
                .build();

        ListPersonnelAccountAccessResponse res = sdk.audits().listPersonnelAccountAccess()
                .request(req)
                .call();

        if (res.paginatedResponseAccountAccess().isPresent()) {
            System.out.println(res.paginatedResponseAccountAccess().get());
        }
    }
}
{
  "results": {
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": null,
      "endCursor": null
    },
    "data": [
      {
        "id": "5f2c939a52855e725c8d5824",
        "accountName": "john.doe@example.com",
        "owner": "John Doe",
        "role": [
          "Admin"
        ],
        "status": "ACTIVE",
        "mfa": true,
        "createdDate": "2024-01-15T10:30:00.000Z",
        "deactivatedDate": null
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.vanta.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

The audit ID

serviceId
string
required

The service ID from the /services endpoint

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of results per page (1-100, default 10) Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Search term for filtering by account name or email

status
enum<string>

Filter by account status Account status values for account access records. Unified status enum that covers all service types.

Available options:
ACTIVE,
DEACTIVATED,
UNKNOWN

Response

200 - application/json

Paginated list of account access records with pagination metadata

results
object
required